# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.acl
Class AclScope

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.acl.AclScope

All Implemented Interfaces:
  Extension

    public class AclScope

extends AbstractExtension

Describes the scope of an entry in an access control list.

Nested Class Summary
`static class` `AclScope.Type` predefined values for the "type" attribute

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`AclScope()`
`AclScope(AclScope.Type type, java.lang.String value)`

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object o)`
`static AclScope` `fromExternalForm(java.lang.String externalForm)` Given a standard external representation, return the scope that it represents or null if an invalid representation.
`AclScope.Type` `getType()`
`java.lang.String` `getValue()`
`int` `hashCode()`
`void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setType(AclScope.Type type)`
`void` `setValue(java.lang.String value)`
`java.lang.String` `toExternalForm()` Return a standard external representation of this scope, suitable for use as an Acl Entry identifier.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AclScope

    public AclScope()

### AclScope

    public AclScope(AclScope.Type type,
                    java.lang.String value)

Method Detail

### getType

    public AclScope.Type getType()

### setType

    public void setType(AclScope.Type type)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### toExternalForm

    public java.lang.String toExternalForm()

  Return a standard external representation of this scope, suitable for use as an Acl Entry identifier.

### fromExternalForm

    public static AclScope fromExternalForm(java.lang.String externalForm)

  Given a standard external representation, return the scope that it represents or null if an invalid representation. This is the inverse operation of toExternalForm.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### putAttributes

    public void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`